std::__profile::unordered_multiset< _Value, _Hash, _Pred, _Alloc > Class Template Reference

Inherits unordered_multiset< _Value, _Hash, _Pred, _Alloc >.

## Public Types

typedef _Base::allocator_type | allocator_type
typedef _Base::const_iterator | const_iterator
typedef _Base::const_reference | const_reference
typedef _Base::difference_type | difference_type
typedef _Base::hasher | hasher
typedef _Base::iterator | iterator
typedef _Base::key_equal | key_equal
typedef _Base::key_type | key_type
typedef _Base::reference | reference
typedef _Base::size_type | size_type
typedef _Base::value_type | value_type

## Public Member Functions

| unordered_multiset (size_type __n=10, const hasher &__hf=hasher(), const key_equal &__eql=key_equal(), const allocator_type &__a=allocator_type())
template<typename _InputIterator >
| unordered_multiset (_InputIterator __f, _InputIterator __l, size_type __n=0, const hasher &__hf=hasher(), const key_equal &__eql=key_equal(), const allocator_type &__a=allocator_type())
| unordered_multiset (const unordered_multiset &__x)
| unordered_multiset (const _Base &__x)
| unordered_multiset (unordered_multiset &&__x)
| unordered_multiset (initializer_list< value_type > __l, size_type __n=0, const hasher &__hf=hasher(), const key_equal &__eql=key_equal(), const allocator_type &__a=allocator_type())
void | clear () noexcept
template<typename... _Args>
iterator | emplace (_Args &&...__args)
template<typename... _Args>
iterator | emplace_hint (const_iterator __it, _Args &&...__args)
void | insert (std::initializer_list< value_type > __l)
iterator | insert (const value_type &__obj)
iterator | insert (const_iterator __iter, const value_type &__v)
iterator | insert (value_type &&__obj)
iterator | insert (const_iterator __iter, value_type &&__v)
template<typename _InputIter >
void | insert (_InputIter __first, _InputIter __last)
void | insert (const value_type *__first, const value_type *__last)
unordered_multiset & | operator= (const unordered_multiset &__x)
unordered_multiset & | operator= (unordered_multiset &&__x)
unordered_multiset & | operator= (initializer_list< value_type > __l)
void | rehash (size_type __n)
void | swap (unordered_multiset &__x)

## Detailed Description

### template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>
class std::__profile::unordered_multiset< _Value, _Hash, _Pred, _Alloc >

Unordered_multiset wrapper with performance instrumentation.

Definition at line 318 of file profile/unordered_set.

The documentation for this class was generated from the following file:

- profile/unordered_set